package com.tcctlo.law.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 案件利冲提示信息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ClashInfoVO {

    /**
     * 案件id
     */
    private Long caseId;

    /**
     * 涉及案件名称
     */
    private String caseInfoName;

    /**
     * 案件编号
     */
    private String caseInfoNo;

    /**
     * 案件涉及(人/企业)--名称
     */
    private String caseName;

    /**
     * 案件涉及(人/企业)--[身份证/信用代码]
     */
    private String caseNo;

    /**
     * 类型【0:个人，1:企业】
     */
    private Integer caseType;

    /**
     * 是否是委托方【0:是，1:否】
     */
    private Integer isClient;
}
