package com.tcctlo.law.mapper;

import com.tcctlo.law.entity.InvoiceRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctlo.law.vo.InvoiceRecordVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 开票记录表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2025-03-07
 */
public interface InvoiceRecordMapper extends BaseMapper<InvoiceRecord> {

    /**
     * 逻辑删除
     * @param ids ids
     */
    int deleteBatch(@Param("ids") List<Long> ids);

    /**
     * 根据案件ID查询
     * @param caseId 案件ID
     * @return 结果集
     */
    List<InvoiceRecordVO> selectByCaseId(@Param("caseId") Long caseId);
}
